Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util
Class RunnableQueue.Link

    java.lang.Object
      org.apache.batik.util.DoublyLinkedList.Node
          org.apache.batik.util.RunnableQueue.Link

Direct Known Subclasses:
  RunnableQueue.LockableLink

Enclosing class:
  RunnableQueue

protected static class RunnableQueue.Link
extends DoublyLinkedList.Node

To store a Runnable.

Field Summary
`java.lang.Runnable` | `runnable` The Runnable.

Constructor Summary
`RunnableQueue.Link(java.lang.Runnable r)` Creates a new link.

Method Summary
`void` | `unlock()` unlock link and notify locker.

Methods inherited from class org.apache.batik.util.DoublyLinkedList.Node
`getNext, getPrev, insertBefore, setNext, setPrev, unlink`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### runnable

    public java.lang.Runnable runnable

  The Runnable.

Constructor Detail

### RunnableQueue.Link

    public RunnableQueue.Link(java.lang.Runnable r)

  Creates a new link.

Method Detail

### unlock

    public void unlock()
                throws java.lang.InterruptedException

  unlock link and notify locker. Basic implementation does nothing.

  Throws:
    `java.lang.InterruptedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.